Subject: Bo Gritz not white supremacist

From: [email-masked] (REDELSS JOHN W)
Date: Tue, 13 Oct 1992 03:49:00 GMT

I got some campaign literature today in the mail today from the Bo Gritz
organization.  The last page reads:

       	"RANDY WEAVER - THE TRUTH HAS TO BE TOLD

	This story must be told to the world in truth.  The media, particularly
the newsprint, has totally distorted the truth of this matter.  While the
newspaper focused falsely on Bo's supposed membership in Christian Identity, or
a leader of White supremacy or giving the Nazi salute the truth is that Bo is
NOT [emphasis in original] a member of any white supremacy group and he did NOT
give the Nazi salute.  Bo's father was killed by the Nazi's."

	Also, I would like to add something else I have discovered today.  I
called a friend that I know from my church today who informed me that Bo Gritz
is a member of our church, Mormon.  I have been a member of this church for
thirty years, and in all that time I have never met ONE person that I felt was
white supremacist or anti-Semite.  Further, I am particularly sensitive on 
these subjects because I have an hispanic wife of fifteen years and three
hispanic children.  Further, as a matter of church doctrine, Latter-day Saints
believe themselves to be literal descendants of Abraham, Isaac and Jacob.  This
is why I have never met a single Mormon that was anti-Semitic.

	Bo Gritz is not a white supremacist nor is he a Jew hater.  Information
to the contrary is probably the results of a deliberate disinformation
campaign.